﻿@model LoyaltyPointEngine.Model.Object.Member.ProvinceModel
@{
   
}
<!--=== Page Header ===-->
<div class="page-header">
    <div class="page-title">
        <h3>Add MemberProvince</h3>
    </div>
    <!-- /Page Stats -->
</div>
<!-- /Page Header -->
<!--=== Page Content ===-->
<div class="row">
    <!--=== Validation Example 1 ===-->
    <div class="col-md-12">
        <div class="widget box">
            <div class="widget-header">
                <h4><i class="icon-reorder"></i>Add Province</h4>
            </div>
            <div class="widget-content">
                @using (Html.BeginForm(MVC.MemberProvince.Add(), FormMethod.Post, new {  @class = "form-horizontal row-border", @id = "formAddMemberProvince" }))
                {
                    @Html.AntiForgeryToken()

                    if (!Html.ViewData.ModelState.IsValid)
                    {
                    <div class="alert alert-danger">
                        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                        <i class="fa fa-times-circle"></i>
                        Error occured:
                        <br />
                        @Html.ValidationSummary()
                    </div>
                    }

                    <div class="form-group">
                        <label class="col-md-3 control-label">ProvinceCode <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.ProvinceCode, new { @class = "form-control", @required = "required" })
                        </div>
                    </div>
                    
                    <div class="form-group">
                        <label class="col-md-3 control-label">ProvinceName <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.ProvinceName, new { @class = "form-control", @required = "required" })
                        </div>
                    </div>
                    
                
                    <div class="form-actions">
                        <input type="submit" value="Submit" class="btn btn-primary pull-right">
                    </div>

                }
            </div>
        </div>
        <!-- /Validation Example 1 -->
    </div>
</div>
@section FooterScript{

    
    <script>
        //////////not sure why I can't use cryptojs's utf16LE function
        //////////words = CryptoJS.enc.Utf16LE.parse("test");
        //////////utf16 = CryptoJS.enc.Utf16LE.stringify("test");

        ////////function str2rstr_utf16le(input) {
        ////////    var output = [],
        ////////        i = 0,
        ////////        l = input.length;

        ////////    for (; l > i; ++i) {
        ////////        output[i] = String.fromCharCode(
        ////////          input.charCodeAt(i) & 0xFF,
        ////////          (input.charCodeAt(i) >>> 8) & 0xFF
        ////////        );
        ////////    }

        ////////    return output.join('');
        ////////}

        ////////var pwd = str2rstr_utf16le("test");
        ////////var hash = CryptoJS.HmacSHA1(pwd, pwd);

        ////////var encodedPassword = CryptoJS.enc.Base64.stringify(hash);
        ////////alert(encodedPassword);


        $(document).ready(function () {

      

            //===== Validation =====//
            //for default options, see assets/js/plugins.form-components.js (initValidation())

            $.extend($.validator.defaults, {
                invalidHandler: function (form, validator) {
                    var errors = validator.numberOfInvalids();
                    if (errors) {
                        var message = errors == 1
                        ? 'You missed 1 field. It has been highlighted.'
                        : 'You missed ' + errors + ' fields. They have been highlighted.';
                        noty({
                            text: message,
                            type: 'error',
                            timeout: 2000
                        });
                    }
                },
                errorPlacement: function (error, element) {
                    if (element.attr('type') === "file" && element.data('style') === "fileinput") {
                        error.appendTo(element.closest("div.fileinput-holder").parent('div'));
                    } else {
                        error.insertAfter(element)
                    }
                }
            });

            $("#formAddMemberProvince").validate();

         
        });

   
    </script>
}